如何在Kodi上修复“无法安装依赖项”

>

在此疑难解答指南中,我们将学习修复Kodi 18.5上的“无法安装依赖项”错误消息。如果无法安装相关的依赖项,则会在安装插件时显示此消息.

Kodi是一种功能强大的媒体播放器,它不仅可以播放设备存储上的本地媒体,而且还可以流式传输来自世界各地的在线内容。使得Kodi真正令人惊奇的是第三方Kodi插件。这些插件从各种服务器获取您喜欢的内容的流,使您可以在线播放它们。但是,插件并不是孤立运行的。他们严重依赖称为“依赖项”的外部服务.

几乎所有插件都需要依赖项才能刮擦Internet并获取流。实际上,大多数流行的附件都需要多个依赖项。当您安装Exodus Redux,Covenant,Yoda或其他任何附件时,也会安装必需的依赖项(如果尚未安装)。但是,如果至少一个依赖项无法安装,则Kodi会显示错误“无法安装依赖项”。如果无法安装依赖项,则也无法安装该插件。.

KODI用户注意: 在继续之前先阅读

Kodi Addons /版本提供无限的流媒体内容,但是如果捕获到流媒体的免费电影/电视节目/体育节目,也可能使您陷入法律麻烦。强烈建议Kodi用户在在线流式传输时始终连接VPN。优质的Kodi VPN可以隐藏您的身份,绕过政府的监视,受地域限制的内容和ISP限制(这也有助于无缓冲流).

我使用ExpressVPN,它是最快,最安全的VPN。在包括Amazon FireStick在内的任何设备上安装都很容易。您可以免费使用3个月,并在年度计划中节省49%。此外,它还提供30天退款保证。如果您不满意,可以随时要求退款.

单击此处可获得3个月的免费时间,并在ExpressVPN上节省49%

阅读:如何安装和使用Kodi VPN

修复无法在Kodi上安装依赖项

我几次遇到此错误,在尝试并测试了各种方法之后,我提出了一些故障排除想法。即使很难确定究竟是什么引发了错误,我仍然相信以下解决方案之一将为您服务.

1.清除Kodi缓存

清除Kodi上的缓存有时可以帮助您修复“无法安装依赖项”错误。删除缓存是清除整个数据的更好选择,因为您不会丢失现有的插件和Kodi设置.

清除缓存的最佳方法是通过Ares向导。如果您还没有Ares Wizard,请先安装它。 Ares向导的安装大约需要4-5分钟,但它是一个很棒的工具.

步骤1: 现在,继续并启动Ares Wizard。您可以在Kodi主屏幕上找到它 > 附加组件 > 程序插件.

第2步: 向导加载完毕后,点击顶部的“维护”标签.

无法安装依赖项

第三步: 接下来,点击右侧“缓存”部分中的“删除缓存/温度”

kodi安装失败

步骤4: 删除缓存后,您将看到以下消息。点击“确定”继续.

无法安装依赖项

如您所见,我系统上的缓存大小仅为1 MB。那是因为我最近重新安装了Kodi,而且没有很多插件。高速缓存的大小将增加,并且变得更大,它可能导致更多的问题。这就是为什么删除缓存可能会帮助您解决“无法安装依赖项错误”的原因。

2.清除Kodi数据

有时,仅清除缓存是不够的。很多时候,“无法安装依赖项”更加顽固,并且不能通过简单地删除缓存来解决。另一个选择是卸载Kodi,然后重新安装,全新安装。在大多数情况下,它将解决该问题。但是,在执行此操作之前,您需要尝试清除Kodi数据。清除数据会将Kodi恢复为出厂默认设置,并节省您一些时间.

如果收到错误消息无法在FireStick上安装依赖项,则可以从“设置”菜单重置此设备上的Kodi数据。您还可以使用Ares向导清除所有Kodi支持的设备(包括FireStick)上的数据.

在Kodi上安装Ares Wizard,然后执行以下步骤:

步骤1: 启动Ares向导,然后单击右上方(“设置”左侧)的“更多”标签

无法安装依赖项

第2步: 现在,在下一个屏幕上的选项集中单击“擦除所有数据/刷新开始”

未满足kodi依赖关系

第三步: 在出现以下提示时,单击“是”以确认您的操作

未满足kodi依赖关系

步骤4: 接下来,选择是否要保留收藏夹,源和插件设置,然后单击继续以继续

对版本的依赖无法得到满足

清除Kodi数据可能需要一两分钟,具体取决于其大小。清除数据后,Kodi将是新的。您将失去所有的插件,包括战神向导.

3.删除并恢复Kodi数据库

Kodi的数据库在Kodi中拥有很多东西,一旦损坏,您就会遇到从未见过的错误,例如有问题的数据库或说“ Kodi安装失败”。

修复Kodi数据库可以神奇地帮助您几乎立即消除许多此类问题。好消息是,损坏的数据库不会阻止您使用Kodi。您只会看到一些错误。因此,您可以在Kodi中解决此问题.

您可以通过以下方法删除和恢复Kodi数据库:

步骤1: 转到Kodi主屏幕,然后点击右上角的“设置”(齿轮图标)

未能安装依赖火棒

第2步: 接下来,点击“文件管理器”

kodi文件管理器

第三步: 点击下一个窗口中的“个人资料目录”

未能安装依赖火棒

步骤4: 接下来,点击“数据库”

安装kodi依赖

步骤5: 现在,选择“ Addons27.db”,然后按相应的按钮/键以弹出上下文弹出菜单(例如,在Windows PC上单击鼠标右键)。点击弹出窗口上的“删除”

无法安装依赖项

步骤6: 在提示时单击“是”以确认您的操作

无法安装依赖项

步骤7: 现在,关闭Kodi,大约一分钟后重新启动。遇到“无法安装依赖项”错误时,尝试重新安装您先前尝试安装的插件.

注意:删除数据库后重新启动Kodi后,请转到附加组件 > 我的加载项并重新启用您现有的加载项.

4.手动安装Kodi依赖项 

如果似乎没有任何解决办法,那么最好使用TVAddons存储库手动安装Kodi依赖项。实际上,这是您可以尝试的第一件事,因为它比其他解决方案更能解决问题。.

这是您需要做的:

步骤1: 从Kodi主屏幕打开“设置”,然后在下一个窗口中单击“系统设置”

第2步: 在下一个屏幕上,选择您在左侧和右侧看到的“加载项”,启用“未知来源”

安装kodi依赖

第三步: 点击“是”并确认您的操作

如何在Kodi上安装依赖项

第三步: 返回Kodi主屏幕,这次导航到“设置” > 文件管理器

kodi文件管理器

步骤4: 在下一个窗口中点击“添加源”

在kodi上添加源

步骤5: 现在,点击

没有点击

步骤6: 现在输入源URL为 http://fusion.tvaddons.co. 正确键入URL,因为这是您将在其中安装存储库的源。点击“确定”继续

融合电视插件

步骤7: 继续,在“输入此媒体源的名称”文本字段中输入名称。您可以选择任何名称。我将其命名为“融合”,以便以后可以轻松识别。再次点击“确定”继续.

Fusion Kodi安装程序

步骤8: 返回Kodi主屏幕,这次单击左侧的“附加组件”

Kodi附加菜单

步骤9: 单击下一个屏幕左上角的打开框图标。此选项也称为“软件包安装程序”

kodi软件包安装程序

步骤10: 点击“从压缩文件安装”

从Kodi上的zip文件安装

步骤11: 现在点击“融合”或您之前为来源指定的名称

融合

步骤12: 打开“ Kodi-repos”

安装kodi依赖

步骤13: 接下来点击“英语”

如何安装Kodi依赖项

步骤14: 向下滚动并单击“ repository.xbmchug-3.0.0.zip”(版本号可能会更改)

无法安装对kodi的依赖

步骤15: 等待“ TV Addons Co repo已安装”通知显示在屏幕右上方

kodi依赖错误

您可能需要从TVAddons存储库中安装更多的依赖项。因此,请按照以下步骤操作:

步骤1: 再次进入Kodi主屏幕,然后导航至附加组件 > 软件包安装程序 > 从zip文件安装 (上面的步骤9-11)

第2步: 点击“融合”(或您之前为来源选择的名称),然后打开“科迪脚本”

第三步: 您应该在此处看到几个zip文件。一个包含名称中的“ methandler”,另一个包含“ urlresolver”(请参见下图)

如何安装Kodi依赖项

步骤4: 只需单击每个脚本,一个接一个地安装

您已经成功安装了所有必需的依赖项。现在,尝试再次安装相同的插件,该插件会抛出“无法安装依赖项”错误消息。有机会解决问题.

未满足Kodi依赖关系

“未满足科迪依赖关系”是另一个常见的与依赖关系有关的错误,如果我不去理会它,我会被遗忘.

当您尝试在较旧版本的Kodi上安装或使用为较新版本的Kodi更新的插件时,经常会出现此问题。例如,尝试在Kodi 17.6上安装适用于Kodi 18的插件时,我可能会看到错误.

许多更新的插件仍可与旧版本一起使用,但并非所有版本都一样。幸运的是,此问题相对较容易解决。您需要做的就是将Kodi更新到最新的可用版本。.

请注意,Kodi不支持从应用程序内部进行内部更新。因此,在大多数情况下,您将需要全新安装。这进一步意味着丢失现有数据,您的设置和已安装的加载项.

注意:“无法满足对版本的依赖性”是类似于“未满足Kodi依赖性”的错误,通常可以通过将Kodi更新到最新版本来解决。但是,如果更新后问题仍然存在,请使用我上面介绍的其他方法之一对它进行故障排除.

检查Kodi日志文件 

如果没有任何效果,我建议您最后查看Kodi错误日志文件。 Kodi日志将帮助您确定到底是什么引起了问题.

Kodi有一些插件可以帮助您查看日志,甚至可以在线上传。在查看日志时,搜索“无法安装依赖项”错误消息。即使您无法找出问题的根本原因,也可以共享日志文件,而Kodi专家将能够为您提供更好的帮助.

结论

依赖项是插件在Kodi上获取流所依赖的依赖项。根据我的经验,我可以告诉您,“安装依赖项失败”错误的发生频率不高。但是,当您遇到它时,您将需要一个方便的解决方案。上述一种或多种故障排除方法在不同时间为我工作。我认为他们没有理由不为您解决问题。如果您有任何疑问或建议,请通过下面的评论部分告诉我.

Max Eddy
Max Eddy Administrator
Sorry! The Author has not filled his profile.
follow me